| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
USART Flow Control
USART Control Codes

Specifies RTS/CTS flow control. More...

## Macros

#define | ARM_USART_FLOW_CONTROL_NONE (0UL << ARM_USART_FLOW_CONTROL_Pos)
| No Flow Control (default)
#define | ARM_USART_FLOW_CONTROL_RTS (1UL << ARM_USART_FLOW_CONTROL_Pos)
| RTS Flow Control.
#define | ARM_USART_FLOW_CONTROL_CTS (2UL << ARM_USART_FLOW_CONTROL_Pos)
| CTS Flow Control.
#define | ARM_USART_FLOW_CONTROL_RTS_CTS (3UL << ARM_USART_FLOW_CONTROL_Pos)
| RTS/CTS Flow Control.

## Description

Specifies RTS/CTS flow control.

## Macro Definition Documentation

#define ARM_USART_FLOW_CONTROL_CTS (2UL << ARM_USART_FLOW_CONTROL_Pos)

CTS Flow Control.

See Also
  ARM_USART_Control

#define ARM_USART_FLOW_CONTROL_NONE (0UL << ARM_USART_FLOW_CONTROL_Pos)

No Flow Control (default)

See Also
  ARM_USART_Control

#define ARM_USART_FLOW_CONTROL_RTS (1UL << ARM_USART_FLOW_CONTROL_Pos)

RTS Flow Control.

See Also
  ARM_USART_Control

#define ARM_USART_FLOW_CONTROL_RTS_CTS (3UL << ARM_USART_FLOW_CONTROL_Pos)

RTS/CTS Flow Control.

See Also
  ARM_USART_Control